# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name regex-pcre

%global common_summary Haskell PCRE binding

%global common_description A Haskell binding to the Perl Compatible Regular Expressions library.

Name:           ghc-%{pkg_name}
Version:        0.94.4
Release:        3%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  pcre-devel
BuildRequires:  ghc-regex-base-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package
Requires:       pcre-devel%{?_isa}

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.94.4-2
- change prof BRs to devel

* Wed Jun 13 2012 Jens Petersen <petersen@redhat.com> - 0.94.4-1
- update to 0.94.4

* Sun Mar 18 2012 Jens Petersen <petersen@redhat.com> - 0.94.2-5
- update to cabal2spec-0.25

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 0.94.2-4
- Rebuild against PCRE 8.30

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.94.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 27 2011 Jens Petersen <petersen@redhat.com> - 0.94.2-2
- better summary and description

* Thu Oct 27 2011 Jens Petersen <petersen@redhat.com> - 0.94.2-1
- BSD license
- depends on regex-base and pcre

* Thu Oct 27 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.94.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
